#if !defined(AFX_PCIDIO_H__2B8EF8E9_1D52_482B_B16E_D60D126EAE9D__INCLUDED_)
#define AFX_PCIDIO_H__2B8EF8E9_1D52_482B_B16E_D60D126EAE9D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef PCIDIO_API
#define PCIDIO_API __declspec(dllimport)
#endif


#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"
	
#include "../pcidiotypes.h"

#ifdef __cplusplus
extern "C" {
#endif  /* __cplusplus */
/*****************************************************************************************
******************************************************************************************
******************************************************************************************
**  NEW API-INTERFACE 2.0 for PCIDIO  ****************************************************
**  --------------------------------- ****************************************************
** For new projects use only this interface !!! ******************************************
*****************************************************************************************/

/******************************************************************************
** Function: pcidioGetCountBoards                                            **
**                                                                           **
** Delivers the count of PCIDIO-Cards in the system                          **
**                                                                           **
** Input : -                                                                 **
** Output:                                                                   **
** Return: Count of PCIDIO                                                   **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API DWORD pcidioGetCountBoards(void);
PCIDIO_API DWORD _stdcall pcidioGetCountBoardsStdCall(void);
/******************************************************************************
** Function: pcidioInitCards                                                 **
**                                                                           **
** Initialize all PCIDIO-Cards in the system                                 **
**                                                                           **
** Input : -                                                                 **
** Output: Number of cards                                                   **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioInitCards(DWORD *a_dwNumOfCards);
PCIDIO_API BOOL _stdcall pcidioInitCardsStdCall(DWORD *a_dwNumOfCards);
/******************************************************************************
** Function: pcidioDeinitCards                                               **
**                                                                           **
** Deinitialize all PCIDIO-Cards in the system                               **
**                                                                           **
** Input : -                                                                 **
** Output: -                                                                 **
** Return: -                                                                 **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API void pcidioDeinitCards(void);
PCIDIO_API void _stdcall pcidioDeinitCardsStdCall(void);
/******************************************************************************
** Function: pcidioGetSummeryOfAllBoards                                     **
**                                                                           **
** Delivers all PCIDIO-Cards info's in the system                            **
**                                                                           **
** Input : -                                                                 **
** Output: A filled array of PCIDIO-Card info's with the size of 4           **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetSummeryOfAllBoards(PCIDIO_SUMMERY *SummeryBuffer);
PCIDIO_API BOOL _stdcall pcidioGetSummeryOfAllBoardsStdCall(PCIDIO_SUMMERY *SummeryBuffer);

/******************************************************************************
** Function: pcidioGetBoardRevision                                          **
**                                                                           **
** Delives the revision of the PCIDIO-Cards                                  **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: Revision                                                          **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetBoardRevision(BYTE BoardNumber,BYTE *Revision);
PCIDIO_API BOOL _stdcall pcidioGetBoardRevisionStdCall(BYTE BoardNumber,BYTE *Revision);

/******************************************************************************
** Function: pcidioGetBoardAddressJumper                                     **
**                                                                           **
** Delivers the jumpers of the PCIDIO-Card                                   **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: State of the adressjumper                                                   **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetBoardAddressJumper(BYTE BoardNumber,BYTE * BoardAddressJumper);
PCIDIO_API BOOL _stdcall pcidioGetBoardAddressJumperStdCall(BYTE BoardNumber,BYTE * BoardAddressJumper);
/******************************************************************************
** Function: pcidioGetBoardConfigurationData                                 **
**                                                                           **
** Delivers the configuration of the PCIDIO-Card                             **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: Number of I/O-channels                                            **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetBoardConfigurationData(BYTE BoardNumber,BYTE *CntChannel);
PCIDIO_API BOOL _stdcall pcidioGetBoardConfigurationDataStdCall(BYTE BoardNumber,BYTE *CntChannel);

/******************************************************************************
** Function: pcidioGetDriverVersion                                          **
**                                                                           **
** Delivers the version of the driver                                        **
**                                                                           **
** Input : -                                                                 **
** Output: SysDriverVersion                                                  **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetDriverVersion(DWORD *SysDriverVersion);
PCIDIO_API BOOL _stdcall pcidioGetDriverVersionStdCall(DWORD *SysDriverVersion);
/******************************************************************************
** Function: pcidioGetPCIConfiguration                                       **
**                                                                           **
** Delivers the PCI-configuration of the PCIDIO-Card                         **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: PCI-CFG                                                           **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetPCIConfiguration(BYTE BoardNumber,DIOPCIHEADER *Header);
PCIDIO_API BOOL _stdcall pcidioGetPCIConfigurationStdCall(BYTE BoardNumber,DIOPCIHEADER *Header);
/******************************************************************************
** Function: pcidioSetTimer                                                  **
**                                                                           **
** Set the timerintervall of the PCIDIO-Card                                 **
**                                                                           **
** Input : BoardNumber                                                       **
**         Timerintervall (Value+1)*100ns                                    **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioSetTimer(BYTE BoardNumber,DWORD TimerInterval);
PCIDIO_API BOOL _stdcall pcidioSetTimerStdCall(BYTE BoardNumber,DWORD TimerInterval);
/******************************************************************************
** Function: pcidioStartTimer                                                **
**                                                                           **
** Starts the PCIDIO-Card  onboard timer                                     **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioStartTimer(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioStartTimerStdCall(BYTE BoardNumber);

/******************************************************************************
** Function: pcidioStopTimer                                                 **
**                                                                           **
** Stops the PCIDIO_Card onboard timer                                       **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioStopTimer(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioStopTimerStdCall(BYTE BoardNumber);

/******************************************************************************
** Function: pcidioSetIRQTimer                                               **
**                                                                           **
** Enables the timerinterrupt of the onboard timer.                          **
**                                                                           **
** Input : BoardNumber                                                       **
**         CntrlByte 1-> Timerinterrupt enable                               **
**                   0-> Timerinterrupt disable                              ** 
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioSetIRQTimer(BYTE BoardNumber,BYTE CntrlByte);
PCIDIO_API BOOL _stdcall pcidioSetIRQTimerStdCall(BYTE BoardNumber,BYTE CntrlByte);
/******************************************************************************
** Function: pcidioSetWatchdogIntervall                                      **
**                                                                           **
** Set the watchdogintervall of the PCIDIO-Card                              **
**                                                                           **
** Input : BoardNumber                                                       **
**         Watchdogintervall 1(26ms)..255(6,7s)                              **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioSetWatchdogIntervall(BYTE BoardNumber,BYTE Watchdogintervall);
PCIDIO_API BOOL _stdcall pcidioSetWatchdogIntervallStdCall(BYTE BoardNumber,BYTE Watchdogintervall);

/******************************************************************************
** Function: pcidioGetWatchdogState                                          **
**                                                                           **
** Delivers the state of the watchdog                                        **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: State of the watchdog                                             **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetWatchdogState(BYTE BoardNumber,BYTE *WatchdogState);
PCIDIO_API BOOL _stdcall pcidioGetWatchdogStateStdCall(BYTE BoardNumber,BYTE *WatchdogState);

/******************************************************************************
** Function: pcidioEnableIrq                                                 **
**                                                                           **
** Enables the PCI-IRQ of the card                                           **
**                                                                           **
** Input : BoardNumber                                                       **
**         funcIntHandler                                                    **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioEnableIrq(BYTE BoardNumber,PCIDIO_INT_HANDLER funcIntHanlder);
PCIDIO_API BOOL _stdcall pcidioEnableIrqStdCall(BYTE BoardNumber,PCIDIO_INT_HANDLER funcIntHanlder);

/******************************************************************************
** Function: pcidioDisableIrq                                                **
**                                                                           **
** Disables the PCI-IRQ of the card                                          **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDisableIrq(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioDisableIrqStdCall(BYTE BoardNumber);

/******************************************************************************
** Function: pcidioGetIrq                                                    **
**                                                                           **
** Delivers the states of the interruptregisters during the last irq         **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: IntState                                                          **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetIRQ(BYTE BoardNumber,PCIDIO_INT_STATE * IntState);
PCIDIO_API BOOL _stdcall pcidioGetIRQStdCall(BYTE BoardNumber,PCIDIO_INT_STATE * IntState);

/******************************************************************************
** Function: pcidioResetIrq                                                  **
**                                                                           **
** This function resets the global hardware irq of the given card.           **
**                                                                           **
** Input : BoardNumber                                                       **
** Output:                                                                   **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioResetIRQ(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioResetIRQStdCall(BYTE BoardNumber);


/******************************************************************************
** Function: pcidioGetIRQInState                                             **
**                                                                           **
** This function read the sate if the inputson the current irq of the given  **
** card.                                                                     **
**                                                                           **
** Input : BoardNumber                                                       **
**         PCIDIOALLCHANNELS for the state of the inputs                     **
** Output:                                                                   **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioGetIRQInState(BYTE BoardNumber,PCIDIOALLCHANNELS *IRQInState);
PCIDIO_API BOOL _stdcall pcidioGetIRQInStateStdCall(BYTE BoardNumber,PCIDIOALLCHANNELS *IRQInState);

/******************************************************************************
** Function: pcidioReset                                                     **
**                                                                           **
** Resets the PCIDIO-Card                                                    **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioReset(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioResetStdCall(BYTE BoardNumber);

/******************************************************************************
** Function: pcidioGetLastErrorMsg                                           **
**                                                                           **
** Delvers the error message of the last function call                       **
**                                                                           **
** Input : -                                                                 **
** Output: ErrorMsg                                                          **
** Return: -                                                                 **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API void pcidioGetLastErrorMsg(LPSTR ErrorMsg);
PCIDIO_API void _stdcall pcidioGetLastErrorMsgStdCall(LPSTR ErrorMsg);

/******************************************************************************
** Function: pcidioDIGetChannelState                                         **
**                                                                           **
** Delivers the state of the given input channel                             **
**                                                                           **
** Input : BoardNumber                                                       **
**         Channel                                                           **
** Output: ChannelState                                                      **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDIGetChannelState(BYTE BoardNumber,BYTE Channel,BYTE *ChannelState);
PCIDIO_API BOOL _stdcall pcidioDIGetChannelStateStdCall(BYTE BoardNumber,BYTE Channel,BYTE *ChannelState);

/******************************************************************************
** Function: pcidioDIGetByte                                                 **
**                                                                           **
** Delivers the state of 8 input channels                                    **
**                                                                           **
** Input : BoardNumber                                                       **
**         ByteNumber  Number of Byte 0..7 which should read                 **
** Output: State                                                             **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 05.06.07                                                            **
** Rev.: 3.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
BOOL pcidioDIGetByte(BYTE BoardNumber,BYTE ByteNumber,BYTE *State);
BOOL _stdcall pcidioDIGetByteStdCall(BYTE BoardNumber,BYTE ByteNumber,BYTE *State);

/******************************************************************************
** Function: pcidioDIGetState                                                **
**                                                                           **
** Delivers the state of all input channels                                  **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: ChannelState                                                      **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDIGetState(BYTE BoardNumber,PCIDIOALLCHANNELS* ChannelState);
PCIDIO_API BOOL _stdcall pcidioDIGetStateStdCall(BYTE BoardNumber,PCIDIOALLCHANNELS* ChannelState);

/******************************************************************************
** Function: pcidioDISetIRQChannelConfiguration                              **
**                                                                           **
** Set the interruptconfiguration  of the given input channel                **
**                                                                           **
** Input : BoardNumber                                                       **
**         Channel                                                           **
**         ChannelEnable                                                     **
**         ChannelTrigger                                                    **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDISetIRQChannelConfiguration(BYTE BoardNumber,BYTE Channel,BYTE ChannelEnable,BYTE ChannelTrigger);
PCIDIO_API BOOL _stdcall pcidioDISetIRQChannelConfigurationStdCall(BYTE BoardNumber,BYTE Channel,BYTE ChannelEnable,BYTE ChannelTrigger);

/******************************************************************************
** Function: pcidioDIGetIRQChannelConfiguration                              **
**                                                                           **
** Get the interruptconfiguration  of the given input channel                **
**                                                                           **
** Input : BoardNumber                                                       **
**         Channel                                                           **
** Output: ChannelEnable                                                     **
**         ChannelTrigger                                                    **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDIGetIRQChannelConfiguration(BYTE BoardNumber,BYTE Channel,BYTE *ChannelEnable,BYTE *ChannelTrigger);
PCIDIO_API BOOL _stdcall pcidioDIGetIRQChannelConfigurationStdCall(BYTE BoardNumber,BYTE Channel,BYTE *ChannelEnable,BYTE *ChannelTrigger);

/******************************************************************************
** Function: pcidioDOSetChannelState                                         **
**                                                                           **
** Set the given output channel                                              **
**                                                                           **
** Input : BoardNumber                                                       **
**         Channel                                                           **
**         ChannelState                                                      **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDOSetChannelState(BYTE BoardNumber,BYTE Channel,BYTE ChannelState);
PCIDIO_API BOOL _stdcall pcidioDOSetChannelStateStdCall(BYTE BoardNumber,BYTE Channel,BYTE ChannelState);

/******************************************************************************
** Function: pcidioDOSetState                                                **
**                                                                           **
** Set the output channels                                                   **
**                                                                           **
** Input : BoardNumber                                                       **
**         ChannelState                                                      **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDOSetState(BYTE BoardNumber,PCIDIOALLCHANNELS *ChannelState);
PCIDIO_API BOOL _stdcall pcidioDOSetStateStdCall(BYTE BoardNumber,PCIDIOALLCHANNELS *ChannelState);
/******************************************************************************
** Function: pcidioDOSetByte                                                 **
**                                                                           **
** Set the state of 8 output channels                                    **
**                                                                           **
** Input : BoardNumber                                                       **
**         ByteNumber  Number of Byte 0..7 which should read                 **
**         ByteMask    8-bit mask to set given byte on the card register     **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 05.06.07                                                            **
** Rev.: 3.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
BOOL pcidioDOSetByte(BYTE BoardNumber,BYTE ByteNumber,BYTE ByteMask);
BOOL _stdcall pcidioDOSetByteStdCall(BYTE BoardNumber,BYTE ByteNumber,BYTE ByteMask);


/******************************************************************************
** Function: pcidioDOService                                                 **
**                                                                           **
** Service the output channels for the watchdog                              **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 24.08.04                                                            **
** Rev.: 1.00 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDOService(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioDOServiceStdCall(BYTE BoardNumber);

/******************************************************************************
** Function: pcidioDIEnableBuffering                                         **
**                                                                           **
** Enable the buffering of inputs in the kernel if a timerirq occurs         **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 16.01.08                                                            **
** Rev.: 3.01 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/
PCIDIO_API BOOL pcidioDIEnableBuffering(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioDIEnableBufferingStdCall(BYTE BoardNumber);
/******************************************************************************
** Function: pcidioDIDisableBuffering                                        **
**                                                                           **
** Disable the buffering of inputs in the kernel if a timerirq occurs        **
**                                                                           **
** Input : BoardNumber                                                       **
** Output: -                                                                 **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 16.01.08                                                            **
** Rev.: 3.01 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/

PCIDIO_API BOOL pcidioDIDisableBuffering(BYTE BoardNumber);
PCIDIO_API BOOL _stdcall pcidioDIDisableBufferingStdCall(BYTE BoardNumber);
/******************************************************************************
** Function: pcidioDIGetBufferedSamples                                      **
**                                                                           **
** Reads the inputsamples from the kernelbuffer which was sampled by a       **
** timerirq                                                                  **
**                                                                           **
** Input : BoardNumber                                                       **
**         buffersize Length of the given pcidiochannels-Array in Elements n **
** Output: Samples Array of n elements to store setched samples              **
**         CountActSamples Number of samples actually returned               **
**         BufferOverflow Indicates an overflow on the driverbuffer between  **
**         the last two read actions.                                        **
** Return: TRUE if successful otherwise FALSE                                **
**         If false get the errormessage with pcidioGetErrorMsg()            **
**                                                                           **
** Date: 16.01.08                                                            **
** Rev.: 3.01 initial implementation                                         **
** Aut.: C,M.                                                                **
**                                                                           **
******************************************************************************/

PCIDIO_API BOOL pcidioDIGetBufferedSamples(BYTE BoardNumber,
                                  DWORD bufferSize,
                                  PCIDIOALLCHANNELS* Samples,
  								  LARGE_INTEGER* TimeStamp,
                                  DWORD* CountActSamples,
                                  DWORD* BufferOverflow);

PCIDIO_API BOOL _stdcall pcidioDIGetBufferedSamplesStdCall(BYTE BoardNumber,
                                  DWORD bufferSize,
                                  PCIDIOALLCHANNELS* Samples,
								  LARGE_INTEGER* TimeStamp,
                                  DWORD* CountActSamples,
                                  DWORD* BufferOverflow);








/*****************************************************************************************
******************************************************************************************
******************************************************************************************
**  OLD API-INTERFACE 1.0 for PCIDIO  ****************************************************
**  --------------------------------- ****************************************************
** Do not use for new ojects!!! Is not supported in the future ************************
*****************************************************************************************/

/*****************************************************************************/
/* Types                                                                     */
/*****************************************************************************/

typedef struct           /* Struct for interruptregister contents             */
{                        /* Required in the interruptfunction because the     */
	                     /* register reseted direct in the Kernel but the     */
	                     /* applications must have the register contents after*/
	                     /* the kernel has reseted the registers. With this   */
	                     /* struct it is possible to worke with the register- */
	                     /* settings after the kernel had reset the original  */
	                     /* registers.                                        */
  DWORD IRQBasisReg;     /* Interruptregister of the basecardinputs           */
  DWORD IRQErwReg;       /* Interruptregister of the extensioncardinputs      */
  BYTE IRQTimerReg;      /* Timerinterruptregister                            */
  BYTE IRQPerReg;        /* Global interruptregister of the card              */
}PCIDIO32_IRQRegs;

/******************************************************************************/
/* exported functions                                                         */
/******************************************************************************/

/******************************************************************************/
/* Function: PCIDIO32_CountCards()                                              */
/*                                                                            */
/* Description: This function search all Cards which have the given device-id */
/*              and  vendor-id                                                */
/*                                                                            */
/* Parameter: i/- DWORD a_dwVendorID Identification of our supplier for the   */
/*                                   FPGA for EBRU-cards the ID is 0x1172     */
/*                DWORD a_dwDeviceID Identification of the devicetype         */ 
/*                                   for EBRU-cards the ID is i.e. 0x0004     */
/*                                                                            */
/* Return value: DWORD -> Count of the discovered cards                       */
/*                                                                            */
/* Date   : 25.10.03                                                          */
/* Author : C.M. Ebru GmbH                                                    */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_CountCards (DWORD a_dwVendorID, 
									DWORD a_dwDeviceID);

/******************************************************************************/
/* Function: PCIDIO32_Open()                                                    */
/*                                                                            */
/* Description: This function opens a given card                              */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard    Index of the card(0..3) which shall used.*/
/*                                   The count of PCIDIO Cards is limited to  */
/*                                   four cards.                              */
/*                                   index 0 is the first discovered card     */
/*                                   index 1 is the second discoverd card     */
/*                                   index 2 is the third discoverd card and  */
/*                                   index 3 is the fourth discoverd card on  */
/*                                   the PCI-BUS                              */
/*                DWORD a_dwVendorID Identification of our supplier for the   */
/*                                   FPGA for EBRU-cards the ID is 0x1172     */
/*                DWORD a_dwDeviceID Identification of the devicetype         */ 
/*                                   for EBRU-cards the ID is i.e. 0x0004     */
/*                                                                            */
/* Return value: BOOL  true if it works correct, otherwise false              */
/*                                                                            */
/* Date   : 25.10.03                                                          */
/* Author : C.M. Ebru GmbH                                                    */
/******************************************************************************/
PCIDIO_API BOOL PCIDIO32_Open (DWORD a_dwCard,
							 DWORD a_dwVendorID,
							 DWORD a_dwDeviceID );

/******************************************************************************/
/* Function PCIDIO32_Close()                                                    */
/*                                                                            */
/* Description: This function close the card with the given index             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3) which shall closed*/
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */                           
/*                                                                            */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date   : 25.10.03                                                          */
/* Author : C.M. Ebru GmbH                                                    */
/******************************************************************************/
PCIDIO_API void PCIDIO32_Close(DWORD a_nCardNum);

/******************************************************************************/
/* Function PCIDIO32_GetPciSlot()                                               */
/*                                                                            */
/* Description: This function delivers the businformations to the given       */
/*              cardindex                                                     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*            -/o DWORD a_dwPciSlot  Number of the PCI-Slot which contains the*/
/*                                   card                                     */
/*                DWORD a_dwPciBus   Number of the PCI-Bus which contains the */
/*                                   card                                     */
/*                DWORD a_dwPCIFunction Functionsnumber of the card           */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_GetPciSlot(DWORD a_nCardNum, 
								  DWORD &a_dwPciSlot,
								  DWORD &a_dwPciBus,
								  DWORD &a_dwPciFunction);
/******************************************************************************/
/* Function PCIDIO32_ReadIO_32()                                              */
/*                                                                            */
/* Description : This function reads the complete I/O-register of the basecard*/
/*               with a 32-bit access.                                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the I/O-register from the base card           */                                                           
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadIO_32(DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_32()                                             */
/*                                                                            */
/* Beschreibung: This function overwrites the complete I/O-register of the    */
/*               basecard with a 32-bit access.                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData   32 bit-Data which should be written in    */
/*                                  the I/O-register                          */
/*                                                                            */
/* Return value: -                                                            */                                                          
/*                                                                            */
/* Date:   25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_32 (DWORD a_dwCard, DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_32()                                              */
/*                                                                            */
/* Description: This function reads the complete I/O-register of the extension*/
/*              card with a 32-bit access.                                    */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the I/O-registers from the extension card     */            
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD  PCIDIOEX_ReadIO_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_32()                                             */
/*                                                                            */
/* Description:  This function overwrites the complete I/O-register from the  */
/*               extension card with a 32-bit access.                         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32-bit data which should be written to   */
/*                                   the I/O-register                         */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date   : 25.10.03                                                          */
/* Author : C.M. Ebru GmbH                                                    */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_32 (DWORD a_dwCard, DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQ_32()                                             */
/*                                                                            */
/* Description:  This function reads the complete IRQ-register from the       */
/*               basecard with a 32-bit access.                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the IRO-registers from the basecard           */
/*                                                                            */
/* Date:   25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadIRQ_32 (DWORD a_dwCard);
/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_32()                                            */
/*                                                                            */
/* Description:  This function writes the complete IRQ-register of the        */
/*               basecard with a 32-bit access.                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData   32-bit-data which should be written to the*/
/*                                  IRQ-register of the base card             */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_32 (DWORD a_dwCard, DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_32()                                             */
/*                                                                            */
/* Description: This function reads the complete IRQ-register from the        */
/*              extension card with a 32-bit access.                          */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the IRO-register from the extension card      */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIOEX_ReadIRQ_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIRQ_32()                                            */
/*                                                                            */
/* Description: This function overwrites the complete IRQ-register from the   */
/*              extension card with a 32-bit access                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32-bit-Data which should be written to the*/
/*                                   IRQ-register of the extension card       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_32 (DWORD a_dwCard,DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_32()                                            */
/*                                                                            */
/* Description: This function reads the complete TRIG-register from the       */
/*              basecard with a 32-bit access                                 */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the TRIG-registers from the basecard          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadTRIG_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_32()                                           */
/*                                                                            */
/* Description: This funktion overwrites the complete TRIG-register from      */
/*              the basecard with a 32-bit access                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32Bit-data which should be written to   */
/*                                   the TRIG-register  from the basecard     */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIG_32 (DWORD a_dwCard,DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_32()                                            */
/*                                                                            */
/* Description: This function reads the complete TRIG-register from the       */
/*               extensioncard with a 32-bit access                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Retrun value: DWORD State of the TIRG-registers from the extension card    */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIOEX_ReadTRIG_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_32()                                           */
/*                                                                            */
/* Description: This function writes the complete TRIG-register from the      */
/*               extensioncard with a 32-bit access                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32Bit-data which should be written to   */
/*                                   the TRIG-register from the extensioncard */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIG_32 (DWORD a_dwCard,DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_32()                                           */
/*                                                                            */
/* Description: This function reads the complete tmerregister from the card   */
/*              with a 32-bit access.                                         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the timerregister                             */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadTIMER_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_32()                                          */
/*                                                                            */
/* Descripion : This function overwrites the complete timerregister of the    */
/*               card eith a 32-bit access.                                   */
/*                                                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32-bit-data which should be written to   */
/*                                   the timerregister                        */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_32 (DWORD a_dwCard,DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_32()                                             */
/*                                                                            */
/* Description: This function reads the complete PER-register with a 32-bit   */
/*              access.                                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: DWORD State of the PER-register                              */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadPER_32 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePER_32()                                            */
/*                                                                            */
/* Description: This function overwrites the complete PER-register with a     */
/*              32-bit access.                                                */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 DWORD a_dwData    32-bit-data which should be written to   */
/*                                   the PER-register                         */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER32 (DWORD a_dwCard,DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadIO_16_1()                                            */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the I/O-register from */
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the I/O-register from the  */
/*                    basecard.
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadIO_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_16_1()                                           */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the I/O-register */
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the I/O-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadIO_16_2()                                            */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the I/O-register from */
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the I/O-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadIO_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_16_2()                                           */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the I/O-register */
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the I/O-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadIO_8_1()                                             */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              I/O-register from the basecard with a 16-bit access.          */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the I/O-register    */
/*                    from the basecard.                                      */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIO_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_8_1()                                            */
/*                                                                            */
/* Description: This function overwrites the first (lowest) 8-bit of the      */
/*               I/O-register from the basecard.                              */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the I/O-registers     */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO_ReadIO_8_2()                                               */
/*                                                                            */
/* Description: This function reads the second 8-bit of the I/O-register from */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the I/O-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIO_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_8_2()                                            */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the I/O-register */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the I/O-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO_ReadIO_8_3()                                               */
/*                                                                            */
/* Description: This function reads the third 8-bit of the I/O-register from  */
/*              the basecard with a 8-bit access.                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the I/O-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIO_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_8_3()                                            */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the I/O-register  */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the I/O-registers     */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadIO_8_4()                                               */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the I/O-register from */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the I/O-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIO_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIO_8_4()                                            */
/*                                                                            */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the I/O-register */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the I/O-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIO_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_16_1()                                            */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the I/O-register from */
/*               the extensioncard with a 16-bit access.                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the I/O-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIOEX_ReadIO_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_16_1()                                           */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the I/O-register */
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the I/O-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_16_2()                                            */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the I/O-register from */
/*               the extensioncard with a 16-bit access.                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the I/O-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO_ReadIO_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_16_2()                                           */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the I/O-register */
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the I/O-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_16_2 (DWORD a_dwCard,WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_8_1()                                             */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              I/O-register from the extensioncard with a 16-bit access.     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the I/O-register    */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIO_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_8_1()                                            */
/*                                                                            */
/* Description: This function overwrites the first (lowest) 8-bit of the      */
/*               I/O-register from the extensioncard.                         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the I/O-registers     */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_8_2()                                             */
/*                                                                            */
/* Description: This function reads the second 8-bit of the I/O-register from */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the I/O-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIO_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_8_2()                                            */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the I/O-register */
/*              from the extensioncard.                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the I/O-registers    */
/*                                   from the extesioncard.                   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_8_2 (DWORD a_dwCard,BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_8_3()                                             */
/*                                                                            */
/* Description: This function reads the third 8-bit of the I/O-register from  */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the I/O-register from the   */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIO_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_8_3()                                            */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the I/O-register  */
/*              from the extensioncard.                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the I/O-registers     */
/*                                   from the extesioncard.                   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIO_8_4()                                             */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the I/O-register from */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the I/O-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIO_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIO_8_4()                                            */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the I/O-register */
/*              from the extensioncard.                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the I/O-registers    */
/*                                   from the extesioncard.                   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIO_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQ_16_1()                                           */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the IRQ-register from */
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadIRQ_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_16_1()                                          */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the IRQ-register */
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the IRQ-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_16_1 (DWORD a_dwCard,WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQ_16_2()                                           */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the IRQ-register from */
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadIRQ_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_16_2()                                          */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the IRQ-register */
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the IRQ-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_16_2 (DWORD a_dwCard,
										  WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQ_8_1()                                            */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              IRQ-register from the basecard with a 16-bit access.          */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the IRQ-register    */
/*                    from the basecard.                                      */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIRQ_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_1()                                           */
/*                                                                            */
/* Description: This function overwrites the first 8-bit of the IRQ-register  */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the IRQ-registers     */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQ_8_2()                                            */
/*                                                                            */
/* Description: This function reads the second 8-bit of the IRQ-register from */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIRQ_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_2()                                           */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the IRQ-register */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the IRQ-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_3()                                            */
/*                                                                            */
/* Description: This function reads the third 8-bit of the IRQ-register from  */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIRQ_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_3()                                           */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the IRQ-register  */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the IRQ-registers     */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQ_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_4()                                            */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the IRQ-register from */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadIRQ_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_4()                                           */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the IRQ-register */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the IRQ-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteIRQBasis8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_16_1()                                           */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the IRQ-register from */
/*               the extensioncard with a 16-bit access.                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the IRQ-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIOEX_ReadIRQ_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIRQ_16_1()                                          */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the IRQ-register */
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_16_2()                                           */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the IRQ-register from */
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the IRQ-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIOEX_ReadIRQ_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIRQ_16_2()                                          */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the IRQ-register */
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_1()                                            */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              IRQ-register from the extensioncard with a 16-bit access.     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the IRQ-register    */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIRQ_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIRQ_8_1()                                           */
/*                                                                            */
/* Description: This function overwrites the first 8-bit of the IRQ-register  */
/*              from the extensioncard.                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the IRQ-registers     */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_2()                                            */
/*                                                                            */
/* Description: This function reads the second 8-bit of the IRQ-register from */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the IRQ-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIRQ_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteIRQ_8_2()                                           */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the IRQ-register */
/*              from the extensioncard.                                       */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_2()                                            */
/*                                                                            */
/* Description: This function reads the third 8-bit of the IRQ-register from  */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the IRQ-register from the   */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIRQ_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_3()                                           */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the IRQ-register  */
/*              from the extensioncard                                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the IRQ-registers     */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadIRQ_8_4()                                            */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the IRQ-register from */
/*              the extensioncard with a 8-bit access.                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the IRQ-register from the  */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadIRQ_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_4()                                           */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the IRQ-register */
/*              from the extensioncard                                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteIRQ_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_16_1()                                          */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the TRIG-register from*/
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the TRIG-register from the */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadTRIGBasis16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_16_1()                                         */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the TRIG-register*/
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the TRIG-registers   */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIG_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_16_2()                                          */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the TRIG-register from*/
/*               the basecard with a 16-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the TRIG-register from the */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadTRIG_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_16_2()                                         */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the TRIG-register*/
/*               from the basecard.                                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the TRIG-registers   */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIG_16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_8_1()                                           */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              TRIG-register from the basecard with a 16-bit access.         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the TRIG-register   */
/*                    from the basecard.                                      */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTRIG_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteIRQ_8_1()                                           */
/*                                                                            */
/* Description: This function overwrites the first 8-bit of the IRQ-register  */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the IRQ-registers     */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIGBasis8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_8_2()                                           */
/*                                                                            */
/* Description: This function reads the second 8-bit of the TRIG-register from*/
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the TRIG-register from the */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTRIG_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_8_2()                                          */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the TRIG-register*/
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the TRIG-registers   */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIG_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_8_3()                                           */
/*                                                                            */
/* Description: This function reads the third 8-bit of the TRIG-register from */
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the TRIG-register from the  */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTRIG_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_8_3()                                          */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the TRIG-register */
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the TRIG-registers    */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIGBasis8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTRIG_8_4()                                           */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the TRIG-register from*/
/*              the basecard with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the TRIG-register from the */
/*                    basecard.                                               */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTRIG_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTRIG_8_4()                                          */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the TRIG-register*/
/*              from the basecard.                                            */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the TRIG-registers   */
/*                                   from the basecard.                       */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTRIG_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_16_1()                                          */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the TRIG-register from*/
/*               the extensioncard with a 16-bit access.                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the TRIG-register from the */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIOEX_ReadTRIGER_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_16_1()                                         */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the TRIG-register*/
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the TRIG-registers   */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIGER_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_16_2()                                          */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the TRIG-register from*/
/*               the extensioncard with a 16-bit access.                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the TRIG-register from the */
/*                    extensioncard.                                          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIOEX_ReadTRIG_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_16_2()                                         */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the TRIG-register*/
/*               from the extensioncard.                                      */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the TRIG-registers   */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO_WriteTRIG_16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_8_1()                                           */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              TRIG-register from the extensioncard with a 8-bit access.     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the TRIG-register   */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadTRIG_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_8_1()                                          */
/*                                                                            */
/* Description: This function overwrites the first(lowest) 8-bit of the       */
/*              TRIG-register from the extensioncard with a 8-bit access.     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the IRQ-registers     */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: .-                                                           */
/*                                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIG_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_8_2()                                           */
/*                                                                            */
/* Description: This function reads the second 8-bit of the TRIG-register     */
/*              from the extensioncard with a 8-bit access.                   */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the TRIG-register          */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadTRIG_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_8_2()                                          */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the TRIG-register*/
/*              from the extensioncard with a 8-bit access.                   */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: .-                                                           */
/*                                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIG_8_2 (DWORD a_dwCard,	BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_8_3()                                           */
/*                                                                            */
/* Description: This function reads the third 8-bit of the TRIG-register      */
/*              from the extensioncard with a 16-bit access.                  */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the TRIG-register           */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadTRIG_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_8_3()                                          */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the TRIG-register */
/*              from the extensioncard with a 8-bit access.                   */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the IRQ-registers     */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: .-                                                           */
/*                                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIG_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIOEX_ReadTRIG_8_4()                                           */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the TRIG-register     */
/*              from the extensioncard with a 16-bit access.                  */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the TRIG-register          */
/*                    from the extensioncard.                                 */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIOEX_ReadTRIG_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIOEX_WriteTRIG_8_4()                                          */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the TRIG-register*/
/*              from the extensioncard with a 8-bit access.                   */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the IRQ-registers    */
/*                                   from the extensioncard.                  */
/*                                                                            */
/* Return value: .-                                                           */
/*                                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIOEX_WriteTRIG_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_16_1()                                         */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the TIMER-register    */
/*               with a 16-bit access.                                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the TIMER-register         */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadTIMER_16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_16_1()                                        */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the              */
/*              TIMER-register.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the TIMER-register   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_16_2()                                         */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the TIMER-register    */
/*               with a 16-bit access.                                        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the TIMER-register         */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadTIMER_16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_16_2()                                        */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the              */
/*              TIMER-register.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the TIMER-register   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_8_1()                                          */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              TIMER-register with a 8-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the TIMER-register  */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTIMER_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_8_1()                                         */
/*                                                                            */
/* Description: This function overwrites the first 8-bit of the TIMER-register*/
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the TIMER-registers   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_8_2()                                          */
/*                                                                            */
/* Description: This function reads the second 8-bit of the TIMER-register    */
/*              TIMER-register with a 8-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the TIMER-register         */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTIMER_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_8_2()                                         */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the TIMER-register*/
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the TIMER-registers  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_8_3()                                          */
/*                                                                            */
/* Description: This function reads the third 8-bit of the TIMER-register     */
/*              TIMER-register with a 8-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the TIMER-register          */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTIMER_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_8_2()                                         */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the TIMER-register*/
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the TIMER-registers   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadTIMER_8_4()                                          */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the TIMER-register    */
/*              TIMER-register with a 8-bit access.                           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the TIMER-register         */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadTIMER_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_8_4()                                         */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the TIMER-register*/
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the TIMER-registers  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WriteTIMER_8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_16_1()                                           */
/*                                                                            */
/* Description: This function reads the lower 16-bit of the PER-register      */
/*              with a 16-bit access.                                         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */
/*                                                                            */
/* Return value: WORD State of the lower 16-bit of the PER-register           */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadPER16_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_16_1()                                        */
/*                                                                            */
/* Description: This function overwrites the lower 16-bit of the              */
/*              TIMER-register.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the lower 16-bit of the TIMER-register   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER_16_1 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_16_2()                                           */
/*                                                                            */
/* Description: This function reads the upper 16-bit of the PER-register      */
/*              with a 16-bit access.                                         */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */
/*                                                                            */
/* Return value: WORD State of the upper 16-bit of the PER-register           */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API WORD PCIDIO32_ReadPER16_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WriteTIMER_16_1()                                        */
/*                                                                            */
/* Description: This function overwrites the upper 16-bit of the              */
/*              TIMER-register.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 WORD   a_wData    16-bit-data which should be written to   */
/*                                   the upper 16-bit of the TIMER-register   */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER16_2 (DWORD a_dwCard, WORD a_wData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_8_1()                                            */
/*                                                                            */
/* Description: This function reads the first(lowest) 8-bit of the            */
/*              PER-register with a 8-bit access.                             */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the first(lowest) 8-bit of the PER-register    */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadPER_8_1 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePER_8_1()                                           */
/*                                                                            */
/* Description: This function overwrites the first 8-bit of the PER-register  */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the first 8-bit of the PER-registers     */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER_8_1 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_8_2()                                            */
/*                                                                            */
/* Description: This function reads the second 8-bit of the  PER-register with*/
/*              a 8-bit access.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the second 8-bit of the PER-register           */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadPER_8_2 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePER_8_2()                                           */
/*                                                                            */
/* Description: This function overwrites the second 8-bit of the PER-register */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the second 8-bit of the PER-registers    */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER_8_2 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_8_3()                                            */
/*                                                                            */
/* Description: This function reads the third 8-bit of the  PER-register with */
/*              a 8-bit access.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the third 8-bit of the PER-register            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadPER_8_3 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePER_8_3()                                           */
/*                                                                            */
/* Description: This function overwrites the third 8-bit of the PER-register  */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the third 8-bit of the PER-registers     */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER_8_3 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_ReadPER_8_2()                                            */
/*                                                                            */
/* Description: This function reads the fourth 8-bit of the  PER-register with*/
/*              a 8-bit access.                                               */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BYTE State of the fourth 8-bit of the PER-register           */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BYTE PCIDIO32_ReadPER_8_4 (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePER_8_4()                                           */
/*                                                                            */
/* Description: This function overwrites the fourth 8-bit of the PER-register */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                 BYTE   a_bData    8-bit-data which should be written to    */
/*                                   the fourth 8-bit of the PER-registers    */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePER__WritePER8_4 (DWORD a_dwCard, BYTE a_bData);

/******************************************************************************/
/* Function PCIDIO32_IntIsEnabled()                                           */
/*                                                                            */
/* Description: This function verify if the PCI-IRQ function is installed     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/* Return value: BOOL  TRUE if installed, otherwise FALSE                     */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BOOL PCIDIO32_IntIsEnabled (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_IntEnable()                                              */
/*                                                                            */
/* Description: This function installs the given interruptfunction and enables*/
/*              the PCI-IRQ for the internel driver. The registers of the card*/
/*              should set from the programmer i.e the demoprogramm           */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*                void* funcIntHandler Functionpointer for the customer IRQ-  */
/*                                     function.                              */ 
/*                                     void  funcIntHandler(PVOID *pData)     */
/*                                                                            */
/*                                     Within the IRQ-function the programmer */
/*                                     can get the interruptspezific card-    */
/*                                     registers with the function            */
/*                                      PCIDIO32__ReadIRQRegister()           */
/*                                                                            */
/* Rueckgabe: BOOL                                                            */
/*                                                                            */
/* Date  : 25.10.03                                                           */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API BOOL PCIDIO32_IntEnable (DWORD a_dwCard, void *funcIntHandler);

/******************************************************************************/
/* Function PCIDIO32_IntDisable()                                             */
/*                                                                            */
/* Description:This function deinstalls the interruptfuction and disables the */
/*              interrupt                                                     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/* Return value: -                                                            */
/*                                                                            */
/* Date : 25.10.03                                                            */
/* Author:C.M. Ebru GmbH                                                      */
/******************************************************************************/
PCIDIO_API void PCIDIO32_IntDisable (DWORD a_dwCard);

/******************************************************************************/
/* Function PCIDIO32_WritePCIReg()                                            */
/*                                                                            */
/* Description: This function overwrites a 32-bit value in the PCI-Header     */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                DWORD a_dwReg     Offset of the register                    */
/*                DWORD a_dwData     32-bit data							  */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date 25.10.03                                                              */
/* Author: C.M. Ebru GmbH                                                     */
/******************************************************************************/
PCIDIO_API void PCIDIO32_WritePCIReg(DWORD a_dwCard,
								   DWORD a_dwReg, 
								   DWORD a_dwData);

/******************************************************************************/
/* Function PCIDIO32_ReadPCIReg()                                             */
/*                                                                            */
/* Description: This function reads a 32-bit value from the pci-header        */
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                DWORD a_dwReg      Offset of the register                   */
/*                                                                            */
/* Return value: DWORD State of the register                                  */
/*                                                                            */
/* Date:  25.10.03                                                            */
/* Author:C.M. Ebru GmbH                                                      */
/******************************************************************************/
PCIDIO_API DWORD PCIDIO32_ReadPCIReg(DWORD a_dwCard, DWORD a_dwReg);

/******************************************************************************/
/* Function PCIDIO32_ReadIRQRegister()                                        */
/*                                                                            */
/* Description:  This function delivers the state of the interruptspecific    */
/*               card registers on the entrytime  in the kernel               */
/*               The direct access through the programmer delivers the wrong  */
/*               state of the registers, because the kerneldriver does change */
/*               thee registers and save it internal.  
/*                                                                            */
/* Parameter: i/- DWORD  a_dwCard   Index of the card(0..3)                   */
/*                                  The count of PCIDIO Cards is limited to   */
/*                                  four cards.                               */
/*                                  index 0 is the first discovered card      */
/*                                  index 1 is the second discoverd card      */
/*                                  index 2 is the third discoverd card and   */
/*                                  index 3 is the fourth discoverd card on   */
/*                                  the PCI-BUS                               */ 
/*                                                                            */
/*            -/o PCIDIO_IRQRegs &a_pIRQData Handel to a coustomer variable   */
/*                                   for the registers                        */
/*                                                                            */
/* Return value: -                                                            */
/*                                                                            */
/* Date:  25.10.03                                                            */
/* Author:C.M. Ebru GmbH                                                      */
/******************************************************************************/
PCIDIO_API void PCIDIO32_ReadIRQRegister(DWORD a_dwCard, PCIDIO32_IRQRegs &a_pIRQData);
#ifdef __cplusplus
}
#endif

class CPCIDIOApp : public CWinApp
{
public:
	CPCIDIOApp();

	DECLARE_MESSAGE_MAP()
};
#endif // !defined(AFX_PCIDIO_H__2B8EF8E9_1D52_482B_B16E_D60D126EAE9D__INCLUDED_)
