#ifndef PCIDIOTYPES_H
#define PCIDIOTYPES_H
/*****************************************************************************************
******************************************************************************************
******************************************************************************************
**  NEW API-INTERFACE 2.0 for PCIDIO  ****************************************************
**  --------------------------------- ****************************************************
** For new projects use only this interface !!! ******************************************
*****************************************************************************************/
typedef struct
{
	BYTE BoardNumber;
	DWORD IRQIO_1_32;
	DWORD IRQIO_33_64;
	BYTE IRQTIMER;
	BYTE PERREG;
}PCIDIO_INT_STATE;

typedef struct PCIDIO_STRUCT *PCIDIO_HANDLE;




typedef struct
{
    DWORD dwCounter;   // number of interrupts received
    DWORD dwLost;      // number of interrupts yet to be handled
    BOOL fStopped;     // was the interrupt disabled during wait
} PCIDIO_INT_RESULT;


typedef void (__stdcall *PCIDIO_INT_HANDLER)(PCIDIO_HANDLE hPCIDIO, PCIDIO_INT_RESULT *intResult);

typedef struct
{
    DWORD index;
    BOOL  fIsMemory;
    BOOL  fActive;
} PCIDIO_ADDR_DESC;


typedef struct PCIDIO_SUMMERY
{
	PCIDIO_HANDLE  hPCIDIOHandle;
	BYTE BoardIndex;
	BYTE BoardNumber;
	BYTE SlotNumber;
	BYTE BusNumber;
	BYTE BoardAdressJumper;
	DWORD BoardIOAdress;
}PCIDIO_SUMMERY;

typedef struct DIOPCIHEADER
{
  WORD DeviceID;
  WORD VendorID;
  WORD StateReg;
  WORD ControlReg;
  DWORD ClassCode;
  BYTE RevisionID;
  BYTE HeaderType;
  DWORD BaseAddress;
  WORD SubSysID;
  WORD SubVenID;
  BYTE IrqPin;
  BYTE IrqLine;
}DIOPCIHEADER;

typedef struct PCIDIOALLCHANNELS
{
	DWORD Basis;
	DWORD Extension;
}PCIDIOALLCHANNELS;

#endif// PCIDIOTYPES_H
